SpareSpare Docs
GuidesAPI Reference

Authentication

Obtain and refresh API access tokens, and fetch signing keys.

GET
/api/v1.0/authentication/Jwks

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/authentication/Jwks"
{  "keys": [    {      "p": "string",      "kty": "string",      "q": "string",      "d": "string",      "e": "string",      "use": "string",      "kid": "string",      "qi": "string",      "dp": "string",      "alg": "string",      "dq": "string",      "n": "string",      "x": "string",      "y": "string",      "crv": "string",      "x5t": "string",      "x5c": [        "string"      ]    }  ]}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
Empty
GET
/api/v1.0/authentication/Token
Header

The unique identifier of the API keys.

The API key associated with the API keys.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/authentication/Token" \  -H "app-id: string" \  -H "x-api-key: string"
{  "type": "string",  "access_token": "string",  "expires_in": 0,  "refresh_token": "string",  "refresh_expires_in": 0}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
Empty
GET
/api/v1.0/authentication/Refresh
Header

The refresh token used to obtain a new access token.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/authentication/Refresh" \  -H "refresh-token: string"
{  "type": "string",  "access_token": "string",  "expires_in": 0,  "refresh_token": "string",  "refresh_expires_in": 0}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
{  "type": "string",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "property1": null,  "property2": null}
Empty